Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.businessservices
Class StartBusinessService

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.businessservices.StartBusinessService

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<StartBusinessServiceResult>, net.customware.gwt.dispatch.shared.Action<StartBusinessServiceResult>

    public class StartBusinessService

extends java.lang.Object
implements OSAction<StartBusinessServiceResult>

Start an instance of a specified Business Service.

The Business Service Template must first be retrieved by calling `GetBusinessServices`.

©2011 TIBCO Software Inc.

Since:
  1.2.0
See Also:
  `StartBusinessServiceResult`

Constructor Summary
`StartBusinessService(IBusinessServiceTemplate template, java.lang.String channelId)` Constructs a new StartBusinessService Action

Method Summary
`java.lang.String` | `getChannelId()` The channel ID being used, for a GWT client this would typically be "openspaceGWTPull_DefaultChannel".
`IBusinessServiceTemplate` | `getTemplate()` The `IBusinessServiceTemplate` to start, retrieved by calling `GetBusinessServices`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartBusinessService

    public StartBusinessService(IBusinessServiceTemplate template,
                                java.lang.String channelId)

  Constructs a new StartBusinessService Action

  Parameters:
    `template` - The `IBusinessServiceTemplate` to start, retrieved by calling `GetBusinessServices`.
    `channelId` - The channel ID being used, for a GWT client this would typically be "openspaceGWTPull_DefaultChannel".

Method Detail

### getTemplate

    public IBusinessServiceTemplate getTemplate()

  The `IBusinessServiceTemplate` to start, retrieved by calling `GetBusinessServices`.

  Returns:
    Returns the template.

### getChannelId

    public java.lang.String getChannelId()

  The channel ID being used, for a GWT client this would typically be "openspaceGWTPull_DefaultChannel".

  Returns:
    Returns the channelId.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.